Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware
Class SortOrder

    java.lang.Object
      portlets.compoze.groupware.SortOrder

All Implemented Interfaces:
  java.io.Serializable

public class SortOrder
extends java.lang.Object
implements java.io.Serializable

This class represents a sort order.

See Also:
  Serialized Form

Field Summary
`static SortOrder` | `ASCENDING` This value represents an 'ascending' sort order.
`static SortOrder` | `DESCENDING` This value represents a 'descending' sort order.
`static int` | `VALUE_ASCENDING` This value represents the 'ascending' value.
`static int` | `VALUE_DESCENDING` This value represents the 'descending' value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static SortOrder` | `get(int iValue)` Gets the sort order by the value.
`java.lang.String` | `getKey()` Gets the i18n resource key.
`static java.util.List` | `getOrders()` Gets the list of sort orders.
`int` | `getValue()` Gets the value of the sort order.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_ASCENDING

    public static final int VALUE_ASCENDING

  This value represents the 'ascending' value.

  See Also:
    Constant Field Values

### VALUE_DESCENDING

    public static final int VALUE_DESCENDING

  This value represents the 'descending' value.

  See Also:
    Constant Field Values

### ASCENDING

    public static final SortOrder ASCENDING

  This value represents an 'ascending' sort order.

### DESCENDING

    public static final SortOrder DESCENDING

  This value represents a 'descending' sort order.

Method Detail

### getKey

    public java.lang.String getKey()

  Gets the i18n resource key.

  Returns:
    the i18n resource key

### getValue

    public int getValue()

  Gets the value of the sort order.

  Returns:
    the value (see `VALUE_` constants)

### getOrders

    public static java.util.List getOrders()

  Gets the list of sort orders.

  Returns:
    the list of `SortOrder` objects (unmodifable)

### get

    public static SortOrder get(int iValue)

  Gets the sort order by the value.

  Parameters:
    `iValue` - the value to get by
  Returns:
    the matching sort order or `null` if not found

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The value is used to determine equality.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same value as the argument; `false` otherwise
  See Also:
    `getValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.